# schdiff

NAME
SYNOPSIS
DESCRIPTION
EXAMPLES
BUGS
AUTHOR
SEE ALSO

## NAME

schdiff − Graphical diff tool for schematics

## SYNOPSIS

schdiff infile1.sch infile2.sch

## DESCRIPTION

The schdiff program will use ImageMagick(1) to display a graphical diff of two gschem schematic files. It’s most useful when combined with a revision control system so it can compare two revisions of the same file, review changes, etc. However, it is limited in that it can only compare two files at a time; it cannot diff entire directories nor can it diff an entire revision (unless that revision affected only one file). It can easily be configured to work with most revision control systems. Here are instructions for three:

git: Use the difftool command exactly as you would use diff , but supply the −x schdiff option.

mercurial: Use the schdiff command exactly as you would use diff , but add the following lines to your .hgrc:

[extensions]
hgext.extdiff =
[extdiff]
cmd.schdiff = schdiff

subversion: Use the diff command like normal, but supply the --diff-cmd schdiff option.

## EXAMPLES

Use git to view the changes to a file between two revisions

git difftool −x schdiff 182110f690c51eb53ea1799fd022e87322d742e3 039e012397f2638d1577dd7c80fb862a5503dbfd cpu.sch

Use mercurial to see all the changes since a specific revision

hg schdiff −r 8442880f9835 cpld.sch

Use subversion to review a specific revision

svn diff −−diff-cmd schdiff −c 49 power.sch

## BUGS

If you find one, please report it at https://bugs.launchpad.net/geda

## AUTHOR

Alan Somers

## SEE ALSO

composite(1), display(1), git(1), gschem(1), hg(1), svn(1)